Subject: Re: [TR] Brake disks

From: <[email-masked]>
Date: Sat, 10 Nov 2018 10:30:28 -0500

I have noticed more and more when I have taken rotors in to a local chain store that offers they service they will say a turn will put it out of spec, or it is out of spec already.  So they tell me I just need to buy a new rotor.  This is mostly with newer cars, but has happened with TR rotors as well.

But anyway, if you can find someone to do it and it still has minimum spec thickness and above turned should work as good as new.

Greg Lemon
TR250

---- TERRY SMITH <[email-masked]> wrote: 
> Hello, everyone.  Haven't been able to call my dependable machinist yet, where the only issue I've ever had was when I asked them to ream some lines for me.  Wound up with a cracked one that caused problems that you can imagine. 
> 
> 
> Question is, is it more cost--and long-term--effective to simply replace front rotors with new ones from one of the Big Three, or to ask they be skimmed  by a quality machinist.  I feel those "bumps" when I slow to a stop telling me that the rotors have high spots.  Am suspecting the original rotors being 60 years old are tired and ready to retire.
> 
> 
> Thoughts?
> 
> 
> Terry Smith '59 TR3A
> 
> New Hamsphire

** [email-masked] **

Archive: http://www.team.net/pipermail/triumphs  http://www.team.net/archive